import request from '@/utils/request'

// 查询专利授权导入详情列表
export function listDPatentAuthInfoPreDetail(query) {
  return request({
    url: '/dimp/dPatentAuthInfoPreDetail/list',
    method: 'get',
    params: query
  })
}

// 查询专利授权导入详情详细
export function getDPatentAuthInfoPreDetail(id) {
  return request({
    url: '/dimp/dPatentAuthInfoPreDetail/' + id,
    method: 'get'
  })
}

// 新增专利授权导入详情
export function addDPatentAuthInfoPreDetail(data) {
  return request({
    url: '/dimp/dPatentAuthInfoPreDetail',
    method: 'post',
    data: data
  })
}

// 修改专利授权导入详情
export function updateDPatentAuthInfoPreDetail(data) {
  return request({
    url: '/dimp/dPatentAuthInfoPreDetail',
    method: 'put',
    data: data
  })
}

// 删除专利授权导入详情
export function delDPatentAuthInfoPreDetail(id) {
  return request({
    url: '/dimp/dPatentAuthInfoPreDetail/' + id,
    method: 'delete'
  })
}
